<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		javier.aponte
@version 		1.0
@description	Pantalla que muestra el formulario para editar un documento soporte de un producto catastral
@cu 			CU-TV-PR-001
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros
@modified by leidy.gonzalez Se agrega etiqueta focus para visualizar mensaje de error
cuando el docuemnto soporte ya ha sido ingresado.
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        id="editarDocumentoSoporteProductoForm">


    <p:focus />

    <h:inputText id="itUsedForGettingFocus" size="1" maxlength="1"
                 style="width: 1px;height: 1px;border: 0px;" />
    <p:messages id="msgsEditarDocumentoSoporteProducto" showDetail="false" globalOnly="false" />
    <p:focus for="itUsedForGettingFocus" id="focusForMessages" transient="true"/>

    <p:spacer width="0" height="13" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="documentosSoportesFS">
        <legend>
            <h:outputText value="Documentos soportes"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="2" width="100%">
            <h:panelGrid columns="2">
                <h:outputLabel value="Tipo documento soporte: " for="tipoDocumentoSoporte"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:selectOneMenu id="tipoDocumentoSoporte" 
                                 required="true" style="position:relative;left:3px;"
                                 requiredMessage="Debe seleccionar el tipo de documento soporte"
                                 value="#{managedBeanParam.nuevoDocumentoSoporteSeleccionado.tipoDocumento.id}" label="Tipo de documento soporte">
                    <f:selectItems value="#{general.tipoDocumentoSoporteProductosV}" />
                </h:selectOneMenu>
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="No. soporte: " for="numeroDocumentoSoporte"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:inputText value="#{managedBeanParam.nuevoDocumentoSoporteSeleccionado.numeroDocumento}"
                         id="numeroDocumentoSoporte"
                         label="Número de documento soporte" maxlength="50" required="true">
            </h:inputText>


            <h:panelGrid columns="2">
                <h:outputLabel value="Fecha Doc. Soporte: " for="fechaDocumentoSoporte"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <p:calendar id="fechaDocumentoSoporte"
                        value="#{managedBeanParam.nuevoDocumentoSoporteSeleccionado.fechaDocumento}"
                        label="Fecha documento soporte" required="true" effect="explode"
                        navigator="true"
                        pattern="#{general.formatoFecha}" showOn="both"
                        title="#{general.formatoFechaUsuario}" size="10" 
                        locale="es_CO" maxdate="#{general.fechaActual}"/>

            <p:fileUpload id="fu" label="Cargar documento"
                          fileUploadListener="#{managedBeanParam.archivoUpload}"
                          dragDropSupport="true" widgetVar="uploader" mode="advanced"
                          auto="true" allowTypes="/(\.|\/)(pdf|dwg|tif|png|jp[e]?g)$/"
                          invalidFileMessage="Formato de documento no permitido"
                          sizeLimit="#{general.maximoTamanoAdjuntos}"
                          update="fu, msgsEditarDocumentoSoporteProducto"
                          onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

            <p:spacer height="0" width="20"/>

            <p:commandButton value="Aceptar"
                             icon="ui-icon ui-icon-circle-plus"
                             update="msgsEditarDocumentoSoporteProducto, focusForMessages,:nuevoProductoSolForm:tblDatosDocumentoSoporte"
                             onstart="statusDialog2.show();"
                             action="#{managedBeanParam.aceptarEdicionDocumentoSoporteProducto}"
                             oncomplete="statusDialog2.hide();handleCompleteOnErrorSNC(xhr, status,args, editarDocumentoSoporteProductoWV, false);"
                             process="@form"/>

        </h:panelGrid>

    </p:fieldset>

</h:form>

